Bug 815671 - gdm-fallback.session: shutdown / restart don't work without ConsoleKit
gdm-fallback.session: shutdown / restart don't work without ConsoleKit
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-24 04:29 EDT by Edward Sheldrake
Modified: 2013-08-01 06:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 06:08:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
shutdown via gnome-session (5.29 KB, patch)
2012-04-24 08:12 EDT, Edward Sheldrake
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 674741 None None None Never

  None (edit)
Description Edward Sheldrake 2012-04-24 04:29:25 EDT
Description of problem:
Without ConsoleKit installed, the restart and shutdown menu items in the classic GDM greeter don't work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Don't have ConsoleKit installed
2. Configure gdm to use the gdm-fallback session
3. Try the "Restart" or "Shut Down" menu items at the gdm login screen
Actual results:
Nothing happens when you try to restart or shut down.

Each attempted restart or shutdown logs to /var/log/messages a line:
gdm-simple-greeter[18870]: CRITICAL: dbus_g_error_get_name: assertion `error->code == DBUS_GERROR_REMOTE_EXCEPTION' failed

Expected results:
Restarts or shuts down the computer.
Or at least don't show the menu items if they won't work.

Additional info:
It used to work before I uninstalled ConsoleKit.

The restart / shutdown code in gui/simple-greeter/gdm-greeter-panel.c appears to just call the Restart or Stop ConsoleKit dbus method - there's no check if ConsoleKit is running, nor if gdm was built with ConsoleKit support, nor anything to shutdown some other way.
Comment 1 Edward Sheldrake 2012-04-24 08:12:03 EDT
Created attachment 579835 [details]
shutdown via gnome-session

Untested patch which is supposed to do a shutdown via gnome-session dbus interface. It should open the shutdown dialog, if it works.
Comment 2 Ray Strode [halfline] 2012-04-24 11:40:26 EDT
we should do it via org.freedesktop.login1 interface like the non-fallback greeter does.

mind posting this bug and patch upstream?
Comment 3 Fred Wells 2012-06-02 14:57:13 EDT
The KDE Spin, which apparently, doesn't install Console-Kit by default has this problem when using GDM instead of KDM.  Simply installing Console-Kit remedies this problem.
Comment 4 Fedora End Of Life 2013-07-03 23:05:40 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 06:08:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.